Subject: bug#31547: 25.3; Core dump: g_main_context_prepare() called recursively from within a source's check() or prepare() member.

From: Marc Wilhelm Küster <[email-masked]>
Date: Sat, 2 Jun 2018 19:05:29 +0200

On 06/02/2018 06:39 PM, Eli Zaretskii wrote:

>> Date: Sat, 02 Jun 2018 18:25:39 +0200
>> From: Marc Wilhelm Küster <[email-masked]>
>> Cc: [email-masked]
>>
>> in order to get a more meaningful backtrace I've compiled emacs 26.1 directly from its source (source directly downloaded from http://mirror.switch.ch/ftp/mirror/gnu/emacs/emacs-26.1.tar.xz)
>>
>> The crash remains fully reproducible. I attach you the backtraces. Of yourse, I'm at your disposal for any additional information you may need
> Thanks.
>
> If the crash is reproducible, can you give a step by step recipe,
> starting from "emacs -Q", for reproducing it?
the first part is

emacs -Q

package-install-packages

Install package "wanderlust" (version 20180506.128)

Start wanderlust (meta x wl)

No comes the problem - given the error message (cf. below) I assume that 
the crash is triggered by trying to display the concrete content of my 
Sent folder (though it is triggered systematically once I open it)

How could we proceed on this?

Best regards,

Marc

...

font_open_entity at /tmp/emacs-26.1/src/font.c:2903
fontset_find_font at /tmp/emacs-26.1/src/fontset.c:709
fontset_font at /tmp/emacs-26.1/src/fontset.c:788
XTYPE at /tmp/emacs-26.1/src/lisp.h:615